#!/bin/bash
# see aux_libs/README

BASEDEFS="base_defs"
LIBCONF="xxx_deb12fix_deb11lib.conf"
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
. "$DIR/$BASEDEFS" || { echo "Fatal: Definition file ($DIR/$BASEDEFS) not found."; exit 1; }

[ ! -d "$DWARFG_AUX" ] && mkdir "$DWARFG_AUX"
cp -r "$DIR/aux_libs/"* "$DWARFG_AUX/" || {
	echo "Unable to copy auxiliar libs directory, check permissions."
	exit 1
}
cp "$DIR/$LIBCONF" /etc/ld.so.conf.d/ || {
	echo "Unable to update dinymic library loader configuration, check permissions."
	exit 1
}
ldconfig
